Bug 1040438 - LV partitions can't be enlarged
Summary: LV partitions can't be enlarged
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker
Depends On:
Blocks: F20FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2013-12-11 12:36 UTC by Kamil Páral
Modified: 2013-12-13 03:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-13 03:41:17 UTC
Type: Bug


Attachments (Terms of Use)
bug demonstration video (861.80 KB, video/ogg)
2013-12-11 12:36 UTC, Kamil Páral
no flags Details
anaconda.log (26.30 KB, text/plain)
2013-12-11 12:36 UTC, Kamil Páral
no flags Details
program.log (23.19 KB, text/plain)
2013-12-11 12:36 UTC, Kamil Páral
no flags Details
storage.log (78.75 KB, text/plain)
2013-12-11 12:36 UTC, Kamil Páral
no flags Details
syslog (66.93 KB, text/plain)
2013-12-11 12:36 UTC, Kamil Páral
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1027947 unspecified CLOSED Cannot change a logical volume's size, then return it to the original size 2020-10-14 00:28:05 UTC

Internal Links: 1027947

Description Kamil Páral 2013-12-11 12:36:02 UTC
Created attachment 835259 [details]
bug demonstration video

Description of problem:
This is a fork of bug 1027947. Several bugs have been identified in it, this is one of them.

It's not possible to select an LV partition and enlarge it, even though there is free space available. It can only be downsized.

Version-Release number of selected component (if applicable):
anaconda 20.25.14

How reproducible:
seems always

Steps to Reproduce:
1. create a default LVM installation with / (or swap) smaller a bit, so that there is some free space
2. boot into installer again, go to custom partitioning
3. select an existing LV partition (e.g. /) try to increase its size. Can't be done.
4. try to shrink it. That can be done.

Comment 1 Kamil Páral 2013-12-11 12:36:46 UTC
Created attachment 835260 [details]
anaconda.log

Comment 2 Kamil Páral 2013-12-11 12:36:50 UTC
Created attachment 835261 [details]
program.log

Comment 3 Kamil Páral 2013-12-11 12:36:53 UTC
Created attachment 835262 [details]
storage.log

Comment 4 Kamil Páral 2013-12-11 12:36:57 UTC
Created attachment 835263 [details]
syslog

Comment 5 Kamil Páral 2013-12-11 12:37:37 UTC
Proposing a Final blocker:
"Any installer mechanism for resizing storage volumes must correctly attempt the requested operation. "
https://fedoraproject.org/wiki/Fedora_20_Final_Release_Criteria#Storage_volume_resize

Comment 6 Alexey Torkhov 2013-12-11 16:40:50 UTC
It probably does not have free space left on LV and does not want create new PV on free space...

Comment 7 Mike Ruckman 2013-12-11 17:38:44 UTC
Discussed in 2013-12-11 Blocker Review Meeting [1]. Voted as an RejectedBlocker. This is probably a UI issue failing to inform the user properly what can and what cannot be achieved. Anaconda doesn't support LV resize when there is no free space in the VG. Will be added to CommonBugs.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-12-11/

Comment 8 Adam Williamson 2013-12-13 03:41:17 UTC
I think it'd be most straightforward to close this as NOTABUG; we could turn it into a request to provide info about available space in VGs, but I believe there are already bugs for that and it's already being worked on (mizmo might be able to provide a link).


Note You need to log in before you can comment on or make changes to this bug.